/*
 * 文 件 名:  OpEnergyStrategyTriggerServiceImpl
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/11/27
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.OpEnergyStrategyTrigger;
import com.ruoyi.ems.mapper.OpEnergyStrategyTriggerMapper;
import com.ruoyi.ems.service.IOpEnergyStrategyTriggerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 能源策略触发器Service实现
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/11/27]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Service
public class OpEnergyStrategyTriggerServiceImpl implements IOpEnergyStrategyTriggerService {
    @Autowired
    private OpEnergyStrategyTriggerMapper triggerMapper;

    @Override
    public List<OpEnergyStrategyTrigger> selectByStrategyCode(String strategyCode) {
        return triggerMapper.selectByStrategyCode(strategyCode);
    }

    @Override
    public List<OpEnergyStrategyTrigger> findBySourceAndEvent(String sourceObjCode, String eventKey) {
        return triggerMapper.findBySourceAndEvent(sourceObjCode, eventKey);
    }

    @Override
    public List<OpEnergyStrategyTrigger> findBySourceAndAttr(String sourceObjCode, String attrKey) {
        return triggerMapper.findBySourceAndAttr(sourceObjCode, attrKey);
    }

    @Override
    public OpEnergyStrategyTrigger selectById(Long id) {
        return triggerMapper.selectById( id);
    }

    @Override
    public int insertTrigger(OpEnergyStrategyTrigger trigger) {
        return triggerMapper.insertTrigger(trigger);
    }

    @Override
    public int updateTrigger(OpEnergyStrategyTrigger trigger) {
        return triggerMapper.updateTrigger(trigger);
    }

    @Override
    public int deleteTrigger(Long id) {
        return triggerMapper.deleteTrigger(id);
    }

    @Override
    public int deleteTriggerByIds(Long[] ids) {
        return triggerMapper.deleteTriggerByIds(ids);
    }
}